## org.firebirdsql.gds.impl.wire
Class BlobParameterBufferImp

    java.lang.Object
      org.firebirdsql.gds.impl.wire.ParameterBufferBase
          org.firebirdsql.gds.impl.wire.BlobParameterBufferImp

All Implemented Interfaces:
  Serializable, BlobParameterBuffer, Xdrable

    public class BlobParameterBufferImp

extends ParameterBufferBase
implements BlobParameterBuffer

jdgs implementation for BlobParameterBuffer. The base class ParameterBufferBase contains the implementation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.firebirdsql.gds.impl.wire.ParameterBufferBase
`ParameterBufferBase.Argument, ParameterBufferBase.NumericArgument, ParameterBufferBase.StringArgument`

Field Summary

Fields inherited from interface org.firebirdsql.gds.BlobParameterBuffer
`FILTER_PARAMETER, SOURCE_INTERP, SOURCE_TYPE, TARGET_INTERP, TARGET_TYPE, TYPE, TYPE_SEGMENTED, TYPE_STREAM`

Constructor Summary
`BlobParameterBufferImp()`

Method Summary

Methods inherited from class org.firebirdsql.gds.impl.wire.ParameterBufferBase
`addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getLength, hasArgument, hashCode, read, removeArgument, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.BlobParameterBuffer
`addArgument, addArgument, addArgument`

Constructor Detail

### BlobParameterBufferImp

    public BlobParameterBufferImp()

Copyright © 2001-2010. All Rights Reserved.